ClasspathHacker (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util
Class ClasspathHacker

    java.lang.Object
      com.bbn.openmap.util.ClasspathHacker

    public class ClasspathHacker

extends java.lang.Object

Useful class for dynamically changing the classpath, adding classes during runtime.

Author:
  unknown

Field Summary
`protected static java.util.logging.Logger` | `logger`

Constructor Summary
`ClasspathHacker()`

Method Summary
`static void` | `addFile(java.io.File f)` Adds a file to the classpath
`static void` | `addFile(java.lang.String s)` Adds a file to the classpath.
`static void` | `addURL(java.net.URL u)` Adds the content pointed by the URL to the classpath.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static java.util.logging.Logger logger

Constructor Detail

### ClasspathHacker

    public ClasspathHacker()

Method Detail

### addFile

    public static void addFile(java.lang.String s)
                        throws java.io.IOException

  Adds a file to the classpath.

  Parameters:
    `s` - a String pointing to the file
  Throws:
    `java.io.IOException` - if there was a problem

### addFile

    public static void addFile(java.io.File f)
                        throws java.io.IOException

  Adds a file to the classpath

  Parameters:
    `f` - the file to be added
  Throws:
    `java.io.IOException` - if there was a problem

### addURL

    public static void addURL(java.net.URL u)
                       throws java.io.IOException

  Adds the content pointed by the URL to the classpath.

  Parameters:
    `u` - the URL pointing to the content to be added
  Throws:
    `java.io.IOException` - if there was a problem with URL

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details